# We have a conf and classes directory, add to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend"

BBFILE_COLLECTIONS += "meta-diya"
BBFILE_PATTERN_meta-diya = "^${LAYERDIR}/"
BBFILE_PRIORITY_meta-diya = "11"

LAYERDEPENDS_meta-diya = " core "
LAYERSERIES_COMPAT_meta-diya = "scarthgap"

PACKAGE_CLASSES = "package_ipk"

INITRAMFS_IMAGE="core-image-recovery"
INITRAMFS_IMAGE_BUNDLE="0"
INITRAMFS_MAXSIZE="200000"
INHERIT += "rm_work"

EXTRA_IMAGE_FEATURES ?= " ssh-server-dropbear read-only-rootfs "
# ssh-server-dropbear
DISTRO_FEATURES:append := " opengl "
DISTRO_FEATURES:remove = " x11 vulkan ptest"
TOOLCHAIN_TARGET_TASK:append = " libgles3-mesa-dev "
# DISTRO_FEATURES:append := " vc4-gfx opengl directfb "

WKS_FILE="image.wks.in"
ROOT_HOME = "/root"
